/********************************************************************/
/*                                                                  */
/*                   AutoMap/AutoLink Users' Manual                 */
/*                                                                  */
/*                        A concrete example                        */
/*                                                                  */
/*             From a Generic Genetic Programming Project           */
/*                                                                  */
/*       Sending of the initial population of genetic programs      */
/*                          with AutoLink                           */
/*                                                                  */
/* Creation date............April 21 2000                           */
/* Last modification date...May   18 2000                           */
/*                                                                  */
/* Author : Olivier NICOLAS (olivier.nicolas@nist.gov)              */
/*          Guest researcher at NIST                                */
/*                                                                  */
/********************************************************************/
/*                                                                  */
/*                   Some problem-specific defines                  */
/*                                                                  */
/********************************************************************/
#ifndef DEFINE_
#define DEFINE_

/* Define the code associated to each operator here */

#define f_add   1
#define f_sub   2
#define f_mul   3
#define f_mod   4
#define f_iflt  5
#define f_index 7
#define f_digit 8
#define f_n0    9
#define f_n1   10
#define f_n2   11
#define f_p0   12
#define f_p1   13
#define f_p2   14
#define f_cst0 15
#define f_cst1 16
#define f_cst2 17
#define f_is0  18
#define f_is1  19
#define f_is2  20
#define f_rint CONST

#endif /* DEFINE_ */
