/********************************************************************/
/*                                                                  */
/*                   AutoMap/AutoLink Users' Manual                 */
/*                                                                  */
/*                        A concrete example                        */
/*                                                                  */
/*             From a Generic Genetic Programming Project           */
/*                                                                  */
/*       Sending of the initial population of genetic programs      */
/*                          with AutoLink                           */
/*                                                                  */
/* Creation date............April 21 2000                           */
/* Last modification date...May   18 2000                           */
/*                                                                  */
/* Author : Olivier NICOLAS (olivier.nicolas@nist.gov)              */
/*          Guest researcher at NIST                                */
/*                                                                  */
/********************************************************************/
/*                                                                  */
/*                Some size limit specifications                    */
/*                                                                  */
/********************************************************************/
#ifndef LIMIT_
#define LIMIT_

#include "problemParams.def"

/* NB_NODES_MAX corresponds to the maximum number of available nodes */
/* for one type of sub-tree                                          */

enum { NB_NODES_MAX = 20 };

extern int depthLimit[NB_TREES];

#endif /* LIMIT_ */
