/********************************************************************/
/*                                                                  */
/*                   AutoMap/AutoLink Users' Manual                 */
/*                                                                  */
/*                        A concrete example                        */
/*                                                                  */
/*             From a Generic Genetic Programming Project           */
/*                                                                  */
/*       Sending of the initial population of genetic programs      */
/*                          with AutoLink                           */
/*                                                                  */
/* Creation date............April 21 2000                           */
/* Last modification date...May   18 2000                           */
/*                                                                  */
/* Author : Olivier NICOLAS (olivier.nicolas@nist.gov)              */
/*          Guest researcher at NIST                                */
/*                                                                  */
/********************************************************************/
/*                                                                  */
/*                        Some useful macros                        */
/*                                                                  */
/********************************************************************/
#ifndef MACROS_
#define MACROS_

#define NAME(x, y)     Trees[y].Nodes[rank((x), (y))].name
#define ARITY(x, y)    Trees[y].Nodes[rank((x), (y))].arity
#define ARGUMENT(x, n) ((x)->arguments)[n]
#define INDIV(i)       population->individuals[i]

#endif /* MACROS_ */
