/********************************************************************/
/*                                                                  */
/*                  AutoMap/AutoLink Users' Manual                  */
/*                                                                  */
/*          Example on sending an array of "struct element"         */
/*                           version 1                              */
/*                                                                  */
/* Creation date............April 21 2000                           */
/* Last modification date...May   18 2000                           */
/*                                                                  */
/* Author : Olivier NICOLAS (olivier.nicolas@nist.gov)              */
/*          Guest researcher at NIST                                */
/*                                                                  */
/********************************************************************/
#ifndef ARRAY_
#define ARRAY_

#define TEST_ARRAY_SIZE 4

/*~ AM_Begin */
typedef struct element element /*~ AM */;

struct element
{
  int  value;
  char name[3];
  float value2;
};
/*~ AM_End */

void createData();
void freeData(int rank);
void printData(int rank);
void sendData(int rank, int sendTo);
void recvData(int rank, int recvFrom);

#endif /* ARRAY_ */
