/********************************************************************/
/*                                                                  */
/*                  AutoMap/AutoLink Users' Manual                  */
/*                                                                  */
/*         This example shows you how to use AutoMap with an        */
/*  MPI function : MPI_Reduce.  For a comparison, you also have an  */
/*   implementation without AutoMap (directory ../withoutAutoMap)   */
/*                                                                  */
/* Creation date............April 21 2000                           */
/* Last modification date...May   18 2000                           */
/*                                                                  */
/* Author : Olivier NICOLAS (olivier.nicolas@nist.gov)              */
/*          Guest researcher at NIST                                */
/*                                                                  */
/* This program originally from Thibault Rouffineau                 */
/*                                                                  */
/********************************************************************/
#ifndef REDUCE_
#define REDUCE_

/*~ AM_Begin */
typedef struct Complex Complex /*~AM*/;

struct Complex{
  double real;
  double imag;
};
/*~ AM_End */

#endif /* REDUCE_ */
