/********************************************************************/
/*                                                                  */
/*                   AutoMap/AutoLink Users' Manual                 */
/*                                                                  */
/*      Example of sending a double-linked list with AutoLink       */
/*                                                                  */
/* Creation date............April 21 2000                           */
/* Last modification date...May   18 2000                           */
/*                                                                  */
/* Author : Olivier NICOLAS (olivier.nicolas@nist.gov)              */
/*          Guest researcher at NIST                                */
/*                                                                  */
/********************************************************************/
#ifndef PERF_
#define PERF_

#define LIST_LENGHT 4

/*~ AM_Begin */
typedef struct elementT elementT /*~ AM */;

struct elementT
{
  int  value;
  char name[10];
  elementT *next;

};
/*~ AM_End */

void createData();
void freeData(int rank);
void printData(int rank);
void sendData(int rank, int sendTo);
void recvData(int rank, int recvFrom);

#endif /* PERF_ */
