/********************************************************************/
/*                                                                  */
/*                  AutoMap/AutoLink Users' Manual                  */
/*                                                                  */
/*          This program aims to teach you how to pass-by           */
/*                      the padding problem                         */
/*                                                                  */
/* Creation date............April 21 2000                           */
/* Last modification date...May   18 2000                           */
/*                                                                  */
/* Author : Olivier NICOLAS (olivier.nicolas@nist.gov)              */
/*          Guest researcher at NIST                                */
/*                                                                  */
/********************************************************************/
#ifndef PADDINGTEST_
#define PADDINGTEST_

#define ARRAY_SIZE 2

/*~ AM_Begin */
typedef struct elementT elementT /*~ AM */;
typedef struct pArrayT pArrayT /*~ AM */;

struct elementT
{
  int  value;
  char name[5];
  float value2;
};

struct pArrayT
{
  elementT population[ARRAY_SIZE];
};
/*~ AM_End */

void sendData(int rank, int sendTo);
void recvData(int rank, int recvFrom);

#endif /* PADDINGTEST_ */
