/********************************************************************/
/*                                                                  */
/*                  AutoMap/AutoLink Users' Manual                  */
/*                                                                  */
/*       This example uses the MPI function MPI_Reduce; this        */
/*  implementation is without AutoMap. For a comparison, you also   */
/*  have an implementation with AutoMap (directory ../withAutoMap)  */
/*                                                                  */
/* Creation date............April 21 2000                           */
/* Last modification date...May   18 2000                           */
/*                                                                  */
/* Author : Olivier NICOLAS (olivier.nicolas@nist.gov)              */
/*          Guest researcher at NIST                                */
/*                                                                  */
/* This program originally from Thibault Rouffineau                 */
/*                                                                  */
/********************************************************************/
#ifndef REDUCE_
#define REDUCE_

/*~ AM_Begin */
typedef struct Complex Complex /*~AM*/;

struct Complex{
  double real;
  double imag;
};
/*~ AM_End */

#endif /* REDUCE_ */
